#!/bin/bash
# $1 is the binary location, $2 is the arch, $3 is the svg icon
mkdir tmp
mkdir out
dpkg-deb -R template.deb tmp
sed -i '/Architecture:/d' tmp/DEBIAN/control
echo "Architecture: $2" >> tmp/DEBIAN/control
rm -rf tmp/usr/lib/netsyms-business-station
rsync -rv "$1" tmp/usr/lib/netsyms-business-station
cp "$3" tmp/usr/lib/netsyms-business-station/logo.svg
dpkg-deb -b tmp "out/station_$2.deb"
